Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieUserProfile

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_UserProfile

                                    |

                                    +--oracle.ifs.server.S_TieUserProfile

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_ExtendedUserProfile, S_PrimaryUserProfile

public class S_TieUserProfile
extends S_UserProfile

S_TieUserProfile allows the Oracle-defined behavior of the USERPROFILE classobject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_UserProfile`

Constructor Summary
`protected` | `S_TieUserProfile(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TieUserProfile for a new USERPROFILE.
`protected` | `S_TieUserProfile(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TieUserProfile for an existing USERPROFILE.

Methods inherited from class oracle.ifs.server.S_UserProfile
`extendedPreInsert, isVersionable`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, extendedPreFree, extendedPreUpdate, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_TieUserProfile

    protected S_TieUserProfile(S_LibrarySession session,
                               S_LibraryObjectData data)
                        throws IfsException

  Constructs an S_TieUserProfile for an existing USERPROFILE.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TieUserProfile

    protected S_TieUserProfile(S_LibrarySession session,
                               java.lang.Long classId)
                        throws IfsException

  Constructs an S_TieUserProfile for a new USERPROFILE.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD